Skip to content
Browse API reference

Look up a single IP

Returns Castle's IP intelligence record for a single IP address: address metadata (family, ASN, coarse geolocation) plus the list of tunnel observations Castle has recorded for it.

Request

GET https://api.castle.io/v1/ips/{value}

Path parameters

valuerequired
string

IP address to look up. IPv4 or IPv6. IPv6 addresses must be URL-encoded by the client when required by the HTTP library.

Response

200
object

IP intelligence record.

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.